summaryrefslogtreecommitdiffstats
path: root/tests/test8.tst
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test8.tst')
-rw-r--r--tests/test8.tst21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/test8.tst b/tests/test8.tst
new file mode 100644
index 0000000..dd91ee7
--- /dev/null
+++ b/tests/test8.tst
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+source ${CURDIR}/tests/functions
+
+#
+# test init/clean
+#
+header "test init/clean"
+runcmd "$MOCKCMD --offline --clean"
+if [ -e $CHROOT ]; then
+ echo "clean test FAILED. still found $CHROOT dir."
+ exit 1
+fi
+
+runcmd "$MOCKCMD --offline --init"
+runcmd "$MOCKCMD --offline --install ccache"
+if [ ! -e $CHROOT/usr/bin/ccache ]; then
+ echo "init/clean test FAILED. ccache not found."
+ exit 1
+fi
+